Subject: Re: linux-next: build failure after merge of the final tree (tty tree related)

From: Greg KH <[email-masked]>
Date: Thu, 6 Jan 2011 10:45:17 -0800

On Thu, Jan 06, 2011 at 02:27:10PM +1100, Stephen Rothwell wrote:
> HI Greg,
> 
> On Fri, 17 Dec 2010 11:16:17 +0100 (CET) Thomas Gleixner <[email-masked]> wrote:
> >
> > On Thu, 16 Dec 2010, Greg KH wrote:
> > > On Fri, Dec 17, 2010 at 05:11:20PM +1100, Stephen Rothwell wrote:
> > > > Hi Greg,
> > > > 
> > > > After merging the final tree, today's linux-next build (powerpc
> > > > allyesconfig) failed like this:
> > > > 
> > > > drivers/serial/apbuart.c:596: error: conflicting types for 'grlib_apbuart_configure'
> > > > drivers/serial/apbuart.c:523: note: previous declaration of 'grlib_apbuart_configure' was here
> > > > 
> > > > Caused by commit 35c64e5d13c3d7d8c4ad061ad5e20498b9160c24 ("drivers:
> > > > serial: apbuart: Handle OF failures gracefully").  This build has
> > > > CONFIG_SERIAL_GRLIB_GAISLER_APBUART_CONSOLE set ...
> > > > 
> > > > I have reverted this commit for today.
> > > 
> > > Ugh.  Thomas, care to send me a patch?
> > 
> > Sorry, I missed the console part. Patch below.
> 
> Ping?

Ick, sorry about this, I've now applied this.

thanks for the reminder.

greg k-h